GSS_RELEASE_BUFFER(3)

NAME
gss_release_buffer - Discard a buffer

SYNOPSIS
#include <gssapi/gssapi.h>
OM_uint32
gss_release_buffer(OM_uint32 *minor_status, gss_buffer_t buffer);

DESCRIPTION
Free storage associated with a buffer. The storage must have been allocated by a GSS-API routine. In addition to freeing the associated storage, the routine will zero the length field in the descriptor to which the buffer parameter refers, and implementations are encouraged to additionally set the pointer field in the descriptor to NULL. Any buffer object returned by a GSS-API routine may be passed to gss_release_buffer() (even if there is no storage associated with the buffer).

PARAMETERS

minor_status
    Mechanism specific status code.

buffer
    The storage associated with the buffer will be deleted. The gss_buffer_desc object will not be freed, but its length field will be zeroed.

RETURN VALUES

GSS_S_COMPLETE
    Successful completion

STANDARDS

RFC 2743
    Generic Security Service Application Program Interface Version 2, Update 1

RFC 2744
    Generic Security Service API Version 2 : C-bindings

HISTORY
The gss_release_buffer function first appeared in FreeBSD 7.0.

AUTHORS
John Wray, Iris Associates

COPYRIGHT
Copyright (C) The Internet Society (2000). All Rights Reserved.

This document and translations of it may be copied and furnished to others, and derivative works that comment on or otherwise explain it or assist in its implementation may be prepared, copied, published and distributed, in whole or in part, without restriction of any kind, provided that the above copyright notice and this paragraph are included on all such copies and derivative works. However, this document itself may not be modified in any way, such as by removing the copyright notice or references to the Internet Society or other Internet organizations, except as needed for the purpose of developing Internet standards in which case the procedures for copyrights defined in the Internet Standards process must be followed, or as required to translate it into languages other than English.

The limited permissions granted above are perpetual and will not be revoked by the Internet Society or its successors or assigns.

This document and the information contained herein is provided on an "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.